Description: Fix initialization problem with gnustep-gui >= 0.20.
Author: Yavor Doganov <yavor@gnu.org>
Bug-Debian: http://bugs.debian.org/645935
Forwarded: no
Last-Update: 2011-11-10
---

--- volumecontrol.app-0.5.orig/AppController.m
+++ volumecontrol.app-0.5/AppController.m
@@ -3,7 +3,7 @@
 #include <AppKit/AppKit.h>
 #include "AppController.h"
 
-#include <linux/soundcard.h>
+#include <sys/soundcard.h>
 #include <sys/ioctl.h>                  /* control device */
 #include <fcntl.h>
 
--- volumecontrol.app-0.5.orig/main.m
+++ volumecontrol.app-0.5/main.m
@@ -1,10 +1,6 @@
 #include <AppKit/AppKit.h>
 
-int main(int argc, char **argv)
+int main(int argc, const char **argv)
 {
-	CREATE_AUTORELEASE_POOL(pool);
-	[NSApplication sharedApplication];
-	[NSApp run];
-	DESTROY(pool);
-	return 0;
+  return NSApplicationMain(argc, argv);
 }
